summary refs log tree commit diff
path: root/pkgs/build-support/add-opengl-runpath/setup-hook.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/build-support/add-opengl-runpath/setup-hook.sh')
-rw-r--r--pkgs/build-support/add-opengl-runpath/setup-hook.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/pkgs/build-support/add-opengl-runpath/setup-hook.sh b/pkgs/build-support/add-opengl-runpath/setup-hook.sh
index 7645033ca20..e556e7ead2a 100644
--- a/pkgs/build-support/add-opengl-runpath/setup-hook.sh
+++ b/pkgs/build-support/add-opengl-runpath/setup-hook.sh
@@ -21,6 +21,7 @@ addOpenGLRunpath() {
     done
 
     for file in "$@"; do
+        if ! isELF "$file"; then continue; fi
         local origRpath="$(patchelf --print-rpath "$file")"
         patchelf --set-rpath "@driverLink@/lib:$origRpath" ${forceRpath:+--force-rpath} "$file"
     done